# Betalupi QMK environment

This repository contains everything required to build qmk firmware.


### TODO

 - Better build/flash command
 - Warning when directory is moved


-------------------------------------------------

## Setup

To initialize the build environment, run `make setup`. This does a few things:

 - Updates all submodules
 - Symlinks all directories in `keyboards` into `qmk/qmk_fm/keyboards`
 - Creates a python virtualenv in `venv`
 - Builds and installs `qmk/qmk_cli` into that venv
 - Creates a QMK config file in `qmk/qmk.conf`
 - Runs `qmk doctor` to make sure everything worked.

ONCE `make setup` has been run, this directory (or its parents) CANNOT BE RENAMED OR MOVED!
If you want to move this directory, run `make unsetup`, then run `make setup` again. No data should be lost.


## Using QMK

Run `make flash` to build and flash firmware. If you want to execute qmk manually, activate the virtualenv and use `./qmk.sh`.

